using APT.Infrastructure.Api;
using APT.Infrastructure.Utility;
using System;
using System.ComponentModel;
using APT.Infrastructure.Core;
using APT.BaseData.Domain.Entities.FM;
using APT.MS.Domain.Entities.PF;

namespace APT.BaseData.Domain.Entities
{
	[Description("审批流模板子表")]
     public partial class T_PF_APPROVE_TEMP_DETAIL : MesEntityBase
    {
		[DataFieldForeignKey("Nav_ApproveTemp", "Nav_ApproveTempDetails")]
		[Description("模板ID")]
		public Guid APPROVE_ID { get; set; }

		[Description("节点名称")]
		[FormFieldEdit]
		[FormFieldQuery]
		[FormFieldTable]
		[DataFieldLength(50)]
		public string NAME { get; set; }

		[FormFieldEdit]
		[DataFieldLength(10)]
		[Description("顺序")]
		public int NUM { get; set; }

		[DataFieldForeignKey("Nav_DefaultApproveUser")]

		[Description("默认审批用户")]
		public Guid? DEFAULT_APPROVE_USER_ID { get; set; }




		[Description("启用标志")]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }


		[Description("导航：审批模板主表")]

		public T_PF_APPROVE_TEMP Nav_ApproveTemp { get; set; }

		[Description("导航：默认审批用户")]
		[FormFieldEdit]

		public T_FM_USER Nav_DefaultApproveUser { get; set; }

		[Description("是否允许修改审批人")]
		public bool IS_ALLOW_UPDATE { get; set; }

		[DataFieldForeignKey("Nav_ApproveRole")]
		[Description("审批角色")]
		[FormFieldEdit]
		public Guid? APPROVE_ROLE_ID { get; set; }

		[Description("导航属性：审批角色")]
		public virtual T_PF_APPROVAL_ROLE Nav_ApproveRole { get; set; }

		[Description("角色类型")]
		[EnumName("FMDepartmentType")]
		public int DEPARTMENT_TYPE { get; set; }
	}
}
